> ## Documentation Index
> Fetch the complete documentation index at: https://gnosispay-feat-v2-auth-module.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Balances (v2)

> Returns the authenticated user's account balances. Spendable excludes dust
and processingWithdrawals is exposed at the currency level. Each currency
row includes a per-token breakdown.



## OpenAPI

````yaml https://core.prod.gnosispay.com/user-api/openapi.json get /user/balances/v2
openapi: 3.1.0
info:
  title: User Service
  version: 0.0.0
servers: []
security: []
tags:
  - name: Health
  - name: Auth
  - name: User
  - name: Cards
  - name: Phone
  - name: PCI
  - name: Terms
  - name: Source of Funds
paths:
  /user/balances/v2:
    get:
      tags:
        - User
      summary: Get Account Balances (v2)
      description: >-
        Returns the authenticated user's account balances. Spendable excludes
        dust

        and processingWithdrawals is exposed at the currency level. Each
        currency

        row includes a per-token breakdown.
      operationId: User_getUserBalancesV2
      parameters: []
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountBalancesV2Response'
        '401':
          description: Access is unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
        '404':
          description: The server cannot find the requested resource.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFound'
        '502':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserBalancesV2BadGateway'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - BearerAuth: []
components:
  schemas:
    AccountBalancesV2Response:
      type: object
      required:
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/AccountBalanceV2'
          description: List of balances per currency.
    Unauthorized:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    NotFound:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    GetUserBalancesV2BadGateway:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    Error:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    AccountBalanceV2:
      type: object
      required:
        - currency
        - decimals
        - spendable
        - nonSpendable
        - processingDeposits
        - processingWithdrawals
        - tokens
      properties:
        currency:
          type: string
          description: Currency code.
        decimals:
          type: integer
          format: int32
          description: Number of decimal places for this currency's raw amounts.
        spendable:
          type: string
          description: >-
            Spendable balance. Raw bigint string in the currency's smallest
            unit.
        nonSpendable:
          type: string
          description: Non-spendable balance. Raw bigint string.
        processingDeposits:
          type: string
          description: Incoming deposits being processed. Raw bigint string.
        processingWithdrawals:
          type: string
          description: Outgoing withdrawals being processed. Raw bigint string.
        tokens:
          type: array
          items:
            $ref: '#/components/schemas/TokenBalance'
          description: Per-token breakdown of balances.
    TokenBalance:
      type: object
      required:
        - token
        - decimals
        - spendable
        - nonSpendable
        - processingDeposits
        - maxInstantWithdraw
      properties:
        token:
          type: string
          description: Token symbol.
        decimals:
          type: integer
          format: int32
          description: Number of decimal places for this token.
        spendable:
          type: string
          description: Spendable balance for this token. Raw bigint string.
        nonSpendable:
          type: string
          description: Non-spendable balance for this token. Raw bigint string.
        processingDeposits:
          type: string
          description: Incoming deposits for this token being processed. Raw bigint string.
        maxInstantWithdraw:
          type: string
          description: >-
            Maximum amount of this token that an instant withdrawal would accept
            right

            now, in token base units. Already accounts for pending card
            authorization

            holds and available on-chain backing.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: Bearer

````